package com.emr.dao;

import com.emr.dto.MedicalOverdueReportDto;
import com.emr.dto.ThreeDaysFileDto;
import com.emr.util.Msg;
import com.emr.vo.ExecuteVo;
import com.emr.vo.MedicalOverdueReportVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName MedicalOverdueReportMapper
 * @Description medical_overdue_report表
 * @Author linjj
 * @Date 2024/1/17 8:59
 * @Version 1.0
 */
public interface MedicalOverdueReportMapper {

    //查询记录表中是否有数据
    int getMedicalOverdueReport();

    int addMedicalOverdueReport(@Param("list") List<MedicalOverdueReportDto> list);

    int delMedicalOverdueReport();

    List<MedicalOverdueReportVo>getMedicalOverdueReportList();


    int saveMedicalOverdueExecute(ThreeDaysFileDto dto);

    ExecuteVo executeList();
}
